find.params.pdnn {affypdnn} | R Documentation

## A function to find the experiment specific PDNN parameters

### Description

A function to find the paramaters specific to the chips in an AffyBatch object.

### Usage

    find.params.pdnn(abatch, params.chiptype, optim.method = "BFGS", verbose = TRUE, give.warnings=TRUE)

### Arguments

`abatch` | an instance of `Affybatch-class`.
`params.chiptype` | chip-type specific parameters (see details)
`optim.method` | method for the optimization function `optim`. When `FALSE`, a steepest-descent method of our own is used.
`verbose` | verbosity (`TRUE` or `FALSE`)
`give.warnings` | report probeset IDs in the `abatch` that could not be found in the `params.chiptype`

### Details

This function fits PDNN parameters that are specific to experimental values. The parameters common to all the chips of a certain type are returned by the function `pdnn.params.chiptype`. If `NULL`, the parameter files included in the package will be used whenever possible...

### Value

A list of

`lambda` | The lambda's
`Bs` | The B's
`Ns` | The N's
`Fs` | The F's

### References

Li Zhang, Michael F. Miles and Kenneth D. Aldape - A model of molecular interactions on short oligonucleotide arrays, 2003, Nature Biotech., vol. 21, n.7

### See Also

`pdnn.params.chiptype`, `generateExprVal.method.pdnn`

### Examples

    ## load a chip-specific parameter file
    ## (as returned by the function pdnn.params.chiptype)
    data(hgu95av2.pdnn.params)

    ## load experimental data
    library(affydata)
    data(Dilution)

    ## one CEL to go faster
    afbatch <- Dilution[, 1]
    params <- find.params.pdnn(afbatch, hgu95av2.pdnn.params, optim.method =
    FALSE, give.warnings=FALSE)

[Package affypdnn version 1.16.0 Index]